## 2c600aef122e1b82d7ff08c176663db181f8d002.tar.gz

=== python-unicap/src/Makefile ===
CODEGEN ?= pygobject-codegen-2.0
PYGTK_DEFSDIR=`pkg-config --variable=defsdir pygtk-2.0`

OVERRIDEFILES=	pyunicapgtk_video_display.override pyunicapgtk_property_dialog.override \
	      	pyunicapgtk_device_property.override pyunicapgtk_device_selection.override \
		pyunicapgtk_video_format_selection.override 

DEFSFILES=	unicap.defs\
		pyunicapgtk_video_display.defs \
		pyunicapgtk_property_dialog.defs \
		pyunicapgtk_device_property.defs \
		pyunicapgtk_device_selection.defs \
		pyunicapgtk_video_format_selection.defs 

GENCFILES=	pyunicapgtk_video_display.c \
		pyunicapgtk_property_dialog.c \
		pyunicapgtk_device_property.c \
		pyunicapgtk_device_selection.c \
		pyunicapgtk_video_format_selection.c 

DISTCFILES=	\
		unicapmodule.c \
		unicapmodule.h \
		unicapdevice.c \
		unicapdevice.h \
		unicapimagebuffer.c \
		unicapimagebuffer.h \
		unicapgtkmodule.c \
		unicapgtkmodule.h \
		utils.c \
		utils.h \
		pyunicapgtk_device_property.h \
		pyunicapgtk_device_selection.h \
		pyunicapgtk_property_dialog.h \
		pyunicapgtk_video_display.h \
		pyunicapgtk_video_format_selection.h

DISTFILES= 	\
		Makefile\
		setup.py

all: $(OVERRIDE) $(DEFSFILES) $(GENCFILES) build

.PHONY: build install clean TAGS dist

%.c: %.defs %.override
	$(CODEGEN) --register $(PYGTK_DEFSDIR)/gtk-types.defs --register $(PYGTK_DEFSDIR)/gdk-base-types.defs \
	--register unicap.defs \
	--override $*.override --prefix $* $*.defs > gen-$*.c \
	&& cp gen-$*.c $*.c \
	&& rm -f gen-$*.c

TAGS:
	etags $(DISTCFILES)

build:
	python setup.py build

install:
	if [ -n "$(DESTDIR)" ]; then \
		python setup.py install	--prefix=$(DESTDIR)/$(PREFIX) $(SETUPOPTS); \
	else \
		python setup.py install --prefix=$(PREFIX) $(SETUPOPTS); \
	fi

clean:
	rm -f $(GENCFILES)
	python setup.py clean

_dist:
	mkdir -p /tmp/python-unicap-$(VERSION)/src
	cp $(DISTCFILES) /tmp/python-unicap-$(VERSION)/src
	cp $(OVERRIDEFILES) /tmp/python-unicap-$(VERSION)/src
	cp $(DEFSFILES) /tmp/python-unicap-$(VERSION)/src
	cp $(DISTFILES) /tmp/python-unicap-$(VERSION)/src

=== examples/unicapgtk/callback/Makefile ===
all: callback

callback: callback.c
	$(CC) -o $@ $^ $(CFLAGS) `pkg-config libunicapgtk libucil --libs --cflags`

clean: 
	rm -f *.o
	rm -f *~
	rm -f callback
	rm -f TAGS

=== examples/c/xv_display/xv_display-0.0.7/Makefile ===
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .

prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/share/info
mandir = ${prefix}/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/xv_display
pkglibdir = $(libdir)/xv_display
pkgincludedir = $(includedir)/xv_display

top_builddir = .

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = 
host_triplet = i686-pc-linux-gnu
AR = ar
AS = @AS@
CC = gcc
CXX = g++
CXXCPP = g++ -E
DLLTOOL = @DLLTOOL@
ECHO = echo
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
HAVE_LIB = @HAVE_LIB@
LIB = @LIB@
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIB = @LTLIB@
MAKEINFO = makeinfo
OBJDUMP = @OBJDUMP@
OBJEXT = o
PACKAGE = xv_display
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
RC = @RC@
STRIP = strip
UNICAP_PACKAGE_CFLAGS = -I/home/arne/opt/include/unicap  
UNICAP_PACKAGE_LIBS = -L/home/arne/opt/lib -lunicap -lrt  
VERSION = 0.0.7
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
X_XV_LIBS = -lXv -lXext
lt_age = 0
lt_major = 0
lt_revision = 7
x_libraries = 

MAINTAINERCLEANFILES = Makefile.in
INCLUDES = -I/home/arne/opt/include/unicap  
bin_PROGRAMS = xv_display	

xv_display_SOURCES = xv_display.c xv.c xv.h
xv_display_LDADD = $(UNICAP_PACKAGE_LIBS) 		     $(X_XV_LIBS) 		     $(X_LIBS) 


EXTRA_DIST = install-sh config.sub config.guess
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = 
bin_PROGRAMS =  xv_display$(EXEEXT)
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I.
CPPFLAGS = 
LDFLAGS = 
LIBS = 
xv_display_OBJECTS =  xv_display.$(OBJEXT) xv.$(OBJEXT)
xv_display_DEPENDENCIES = 
xv_display_LDFLAGS = 
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
Makefile.am Makefile.in NEWS aclocal.m4 config.guess config.h.in \
config.sub configure configure.in install-sh ltmain.sh missing \
mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(xv_display_SOURCES)
OBJECTS = $(xv_display_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

config.h: stamp-h
	@if test ! -f $@; then \
		rm -f stamp-h; \
		$(MAKE) stamp-h; \
	else :; fi
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h 2> /dev/null
$(srcdir)/config.h.in: $(srcdir)/stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/stamp-h.in; \
		$(MAKE) $(srcdir)/stamp-h.in; \
	else :; fi
$(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h.in 2> /dev/null

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	-rm -f config.h

maintainer-clean-hdr:

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

xv_display$(EXEEXT): $(xv_display_OBJECTS) $(xv_display_DEPENDENCIES)
	@rm -f xv_display$(EXEEXT)
	$(LINK) $(xv_display_LDFLAGS) $(xv_display_OBJECTS) $(xv_display_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
all-recursive-am: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) config.h
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
mostlyclean-am:  mostlyclean-hdr mostlyclean-binPROGRAMS \
		mostlyclean-compile mostlyclean-libtool \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-hdr clean-binPROGRAMS clean-compile clean-libtool \
		clean-tags clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-hdr distclean-binPROGRAMS distclean-compile \
		distclean-libtool distclean-tags distclean-generic \
		clean-am
	-rm -f libtool

distclean: distclean-am
	-rm -f config.status

maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am
	-rm -f config.status

.PHONY: mostlyclean-hdr distclean-hdr clean-hdr maintainer-clean-hdr \
mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck all-recursive-am \
install-exec-am install-exec install-data-am install-data install-am \
install uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean

# headers to be installed
# pkginclude_HEADERS =

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== libucil/debian/changelog ===
libucil (0.9.10.5) lucid; urgency=low

  * corrected version

 -- Arne Caspari <arne@unicap-imaging.org>  Thu, 07 Oct 2010 23:24:22 +0200

libucil (0.9.10-4) lucid; urgency=low

  * added gstreamer to the build dependencies
  * added missing header file

 -- Arne Caspari <arne@unicap-imaging.org>  Sun, 19 Sep 2010 10:08:44 +0200

libucil (0.9.10-3) lucid; urgency=low

  * added missing dirs and install files

 -- Arne Caspari <arne@unicap-imaging.org>  Sat, 18 Sep 2010 19:48:26 +0200

libucil (0.9.10-2) lucid; urgency=low

  * fixed dependency version 

 -- Arne Caspari <arne@unicap-imaging.org>  Sat, 18 Sep 2010 19:04:07 +0200

libucil (0.9.10-1) lucid; urgency=low

  * renamed dev package to libucil2-dev

 -- Arne Caspari <arne@unicap-imaging.org>  Sat, 18 Sep 2010 18:46:19 +0200

libucil (0.9.10) lucid; urgency=low

  * updated to 0.9.10

 -- Arne Caspari <arne@unicap-imaging.org>  Tue, 31 Aug 2010 08:47:17 +0200

libucil (0.9.9) lucid; urgency=low

  * updated to 0.9.9

 -- Arne Caspari <arne@unicap-imaging.org>  Wed, 26 May 2010 22:03:57 +0200

libucil (0.9.8.1) karmic; urgency=low

  * fix: old references to ucutils removed

 -- Arne Caspari <arne@unicap-imaging.org>  Sun, 17 Jan 2010 15:30:11 +0100

libucil (0.9.8) karmic; urgency=low

  * initial PPS package

 -- Arne Caspari <arne@unicap-imaging.org>  Sun, 17 Jan 2010 14:36:20 +0100

=== libunicapgtk/debian/changelog ===
libunicapgtk (0.9.8.4) lucid; urgency=low

  * corrected version

 -- Arne Caspari <arne@unicap-imaging.org>  Thu, 07 Oct 2010 23:29:54 +0200

libunicapgtk (0.9.8-3) lucid; urgency=low

  * added missing dirs and install files

 -- Arne Caspari <arne@unicap-imaging.org>  Sat, 18 Sep 2010 20:06:56 +0200

libunicapgtk (0.9.8-2) lucid; urgency=low

  * fixed dependency version

 -- Arne Caspari <arne@unicap-imaging.org>  Sat, 18 Sep 2010 19:06:12 +0200

libunicapgtk (0.9.8-1) lucid; urgency=low

  * renamed dev package to libunicapgtk2-dev

 -- Arne Caspari <arne@unicap-imaging.org>  Sat, 18 Sep 2010 18:45:10 +0200

libunicapgtk (0.9.8) karmic; urgency=low

  * Initial PPA package

 -- Arne Caspari <arne@unicap-imaging.org>  Sun, 17 Jan 2010 14:58:15 +0100

=== python-unicap/debian/changelog ===
python-unicap (0.3.0-2) lucid; urgency=low

  * updated dependencies for libunicap2-dev libucil2-dev and libunicapgtk2-dev

 -- Arne Caspari <arne@unicap-imaging.org>  Sat, 18 Sep 2010 18:47:28 +0200

python-unicap (0.3.0-1) lucid; urgency=low

  * updated dependencies for libunicap-dev libucil-dev and libunicapgtk-dev

 -- Arne Caspari <arne@unicap-imaging.org>  Sat, 18 Sep 2010 17:43:09 +0200

python-unicap (0.3.0) lucid; urgency=low

  * updated to 0.3.0

 -- Arne Caspari <arne@unicap-imaging.org>  Thu, 16 Sep 2010 18:13:15 +0200

python-unicap (0.2.2) lucid; urgency=low

  * updated to 0.2.2

 -- Arne Caspari <arne@unicap-imaging.org>  Wed, 26 May 2010 22:04:51 +0200

python-unicap (0.2.1) karmic; urgency=low

  * fix missing .dirs and .install files

 -- Arne Caspari <arne@unicap-imaging.org>  Sun, 28 Feb 2010 13:10:26 +0100

python-unicap (0.2) karmic; urgency=low

  * Initial release. 

 -- Arne Caspari <arne@unicap-imaging.org>  Sun, 28 Feb 2010 12:40:40 +0100

=== libucil/debian/control ===
Source: libucil
Section: libs
Priority: optional
Maintainer: Arne Caspari <arne@unicap-imaging.org>
Build-Depends: debhelper (>= 7), autotools-dev, libunicap2-dev (>=0.9.11), libtheora-dev, libglib2.0-dev, libpango1.0-dev, gtk-doc-tools, libasound2-dev, libvorbis-dev, libtool, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev
Standards-Version: 3.8.4

Package: libucil2
Section: libs
Architecture: any
Depends: libunicap2 (>= 0.9.11), libtheora0, libasound2, libvorbis0a, libvorbisenc2, libpango1.0-0, libglib2.0-0, ${shlibs:Depends}
Conflicts: libucil-0
Description: a simple image processing library, designed to work with unicap
 .
 This package provides ucil, a simple image processing library. The
 library is designed to work with unicap.

Package: libucil2-dev
Section: libdevel
Architecture: any
Depends: libucil2 (=${binary:Version}), libunicap2-dev (>= 0.9.11), libtheora-dev, libvorbis-dev
Description: ucil library, development files
 .
 This package provides the development files required to develop
 applications with UCIL ( a support library for unicap )

Package: libucil-doc
Section: doc
Architecture: any
Description: ucil library, documentation
 . 
 This package provides the API documentation for libucil ( a support
 library for unicap ).

Package: libucil-2
Section: misc
Architecture: any
Depends: libucil2 (= ${binary:Version})
Description: transitional package for libucil2
 .
 This package is a transitional package. It could be removed after the 
 installation of the libucil2 package.

=== libunicapgtk/debian/control ===
Source: libunicapgtk
Section: libs
Priority: optional
Maintainer: Arne Caspari <arne@unicap-imaging.org>
Build-Depends: debhelper (>= 7), autotools-dev, libunicap2-dev (>= 0.9.8), libucil2-dev(>= 0.9.11), libgtk2.0-dev, libxv-dev, gtk-doc-tools, libtool
Standards-Version: 3.8.4

Package: libunicapgtk2
Section: libs
Architecture: any
Depends: libunicap2 (>= 0.9.8), libucil2 (>= 0.9.8), libgtk2.0-0, libxv1, ${shlibs:Depends}
Conflicts: libunicapgtk-0
Description: graphical user interface to be used with libunicap
 .
 This package provides a library to build graphical video capture
 applications

Package: libunicapgtk2-dev
Section: libdevel
Architecture: any
Depends: libunicapgtk2 (= ${binary:Version}), libunicap2-dev (>= 0.9.8), libgtk2.0-dev, libxv-dev
Description: unicapgtk library, development files
 .
 This package contains the files needed to compile and link 
 programs which use libunicapgtk.

Package: libunicapgtk-doc
Section: doc
Architecture: any
Description: unicapgtk library, documentation
 . 
 This package provides the API documentation for libunicapgtk ( GTK+
 support library for unicap ).

Package: libunicapgtk-2
Section: misc
Architecture: any
Depends: libunicapgtk2 (= ${binary:Version})
Description: transitional package for libunicapgtk2
 .
 This package is a transitional package. It could be removed after the 
 installation of the libunicapgtk2 package.

=== libucil/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --enable-gtk-doc


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/unicap.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/unicap


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install --sourcedir=debian/unicap
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
